# Created by pyp2rpm-3.3.2
%global pypi_name js-jquery

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        1%{?dist}
Summary:        jQuery packaged for Fanstatic

License:        BSD
URL:            https://bitbucket.org/fanstatic/js.jquery
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/js.jquery-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
js.jquery *********Introduction This library packages jQuery_ for fanstatic_.
It is aware of jQuery's structure and different modes (normal, minified)...
_fanstatic: .. _jQuery: requires integration between your web framework and
fanstatic, and making sure that the original resources (shipped in the
resources directory in js.jquery) are published to some URL. How to use? You
can import jQuery...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fanstatic)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
js.jquery *********Introduction This library packages jQuery_ for fanstatic_.
It is aware of jQuery's structure and different modes (normal, minified)...
_fanstatic: .. _jQuery: requires integration between your web framework and
fanstatic, and making sure that the original resources (shipped in the
resources directory in js.jquery) are published to some URL. How to use? You
can import jQuery...


%prep
%autosetup -n js.jquery-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/js
%{python3_sitelib}/js.jquery-%{version}-py?.?.egg-info
%{python3_sitelib}/js.jquery-%{version}-py?.?-nspkg.pth

%changelog
* Wed Jan 16 2019 Ernestas Kulik <ekulik@redhat.com> - 3.3.1-1
- Initial package.
